#ifndef __GLOBALS_H__
#define __GLOBALS_H__

#ifndef WHERE
#define WHERE extern
#endif

#include <sys/types.h>
#include "_regex.h"
#include <limits.h>
#include <windows.h>

#define _POSIX_PATH_MAX PATH_MAX


WHERE int BeepNew;

WHERE char TmpDir[_POSIX_PATH_MAX];
WHERE char Folder[_POSIX_PATH_MAX];
WHERE char PoppetRoot[_POSIX_PATH_MAX];
WHERE char Homedir[_POSIX_PATH_MAX];
WHERE char Hostname[SHORT_STRING];
WHERE char MboxType[SHORT_STRING];
WHERE char DefaultHook[SHORT_STRING];
WHERE char Alternates[SHORT_STRING];

WHERE int PopLast;
WHERE int PopDelete;
WHERE int PopPort;
WHERE int PopInterval;
WHERE char PopHost[SHORT_STRING];
WHERE char PopUser[SHORT_STRING];
WHERE char PopPass[SHORT_STRING];

typedef struct filter {
  regex_t preg;
  char mbox[SHORT_STRING];
  int num;
  struct filter *next;
} Filter;

WHERE Filter *FilterRoot;
WHERE Filter *FilterError;

WHERE	HINSTANCE	thehInstance;
WHERE	HWND		thehWnd;


#endif
