
#define WHERE 
#include "poppet.h"
#include "getopt.h"

#include <stdio.h>
#include <stdlib.h>
#include <io.h>
#include <windows.h>
#include <winsock.h>
#include <sys/utime.h>

extern int quick_exit;

int APIENTRY
WinMain ( HINSTANCE hInstance,
	  HINSTANCE hPrevInstance,
	  LPSTR lpszCmdParam,
	  int iCmdShow )
{
    HWND        hWnd;
    MSG         msg;
    WNDCLASS    wndClass;
    WSADATA	wsadata; 

    log_printf("Poppet v" POPPET_VERSION " (" ReleaseDate ")\n\n");

    if (init_poppet() < 0) {
      // return 0;
      quick_exit = 1;
    }
    else {
      log_printf("beep_new = %s\n", BeepNew ? "yes" : "no");
      log_printf("pop_delete = %s\n", PopDelete ? "yes" : "no");
      log_printf("pop_last = %s\n", PopLast ? "yes" : "no");
      log_printf("pop_port = %d\n", PopPort);
      log_printf("pop_checkinterval = %d\n", PopInterval);
      log_printf("tmpdir = %s\n", TmpDir);
      log_printf("folder = %s\n", Folder);
      log_printf("mbox_type = %s\n", MboxType);
      log_printf("pop_host = %s\n", PopHost);
      log_printf("pop_user = %s\n", PopUser);
      log_printf("pop_pass = <hidden>\n");
      /*
      log_printf("alternates = %s\n", Alternates);
      log_printf("default_hook = %s\n", DefaultHook);
      */
      log_printf("\n");
    }

    WSAStartup( MAKEWORD(1,1), &wsadata ); 

    thehInstance = hInstance;

    wndClass.style          = CS_HREDRAW | CS_VREDRAW;
    wndClass.lpfnWndProc    = WndProc;
    wndClass.cbClsExtra     = 0;
    wndClass.cbWndExtra     = 0;
    wndClass.hInstance      = hInstance;
    wndClass.hIcon          = LoadIcon(NULL, IDI_APPLICATION);
    wndClass.hCursor        = LoadCursor(NULL, IDC_ARROW);
    wndClass.hbrBackground  = (HBRUSH)GetStockObject(WHITE_BRUSH);
    wndClass.lpszMenuName   = NULL;
    wndClass.lpszClassName  = TEXT("Poppet");
    
    RegisterClass(&wndClass);

    hWnd = CreateWindow(
      TEXT("Poppet"),   // window class name
      TEXT("Poppet"),  // window caption
      WS_OVERLAPPEDWINDOW,      // window style
      CW_USEDEFAULT,            // initial x position
      CW_USEDEFAULT,            // initial y position
      96,                       // initial x size
      96+32,                    // initial y size
      NULL,                     // parent window handle
      NULL,                     // window menu handle
      hInstance,                // program instance handle
      NULL);                    // creation parameters

    thehWnd      = hWnd;

    // ShowWindow(hWnd, iCmdShow);
    UpdateWindow(hWnd);
    
    while(GetMessage(&msg, NULL, 0, 0)) {
      TranslateMessage(&msg);
      DispatchMessage(&msg);
    }
    
    WSACleanup();
    return msg.wParam;
}  // WinMain
